package com.huijy.management.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预警信息对象 t_early_warning
 *
 * @author luobo
 * @date 2021-09-12
 */
public class EarlyWarning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预警信息 */
    private Long earlyWarningId;

    /** 预警类型 */
    @Excel(name = "预警类型")
    private String earlyWarningType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 范围 */
    @Excel(name = "范围")
    private String rangeText;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 发送标志 */
    @Excel(name = "发送标志")
    private String sendFlag;

    /** 发送人 */
    private Long sendAt;

    /** 发送时间 */
    private Date sendTime;

    /** 创建人 */
    private Long createAt;

    public void setEarlyWarningId(Long earlyWarningId)
    {
        this.earlyWarningId = earlyWarningId;
    }

    public Long getEarlyWarningId()
    {
        return earlyWarningId;
    }
    public void setEarlyWarningType(String earlyWarningType)
    {
        this.earlyWarningType = earlyWarningType;
    }

    public String getEarlyWarningType()
    {
        return earlyWarningType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setRangeText(String rangeText)
    {
        this.rangeText = rangeText;
    }

    public String getRangeText()
    {
        return rangeText;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setSendFlag(String sendFlag)
    {
        this.sendFlag = sendFlag;
    }

    public String getSendFlag()
    {
        return sendFlag;
    }
    public void setSendAt(Long sendAt)
    {
        this.sendAt = sendAt;
    }

    public Long getSendAt()
    {
        return sendAt;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }
    public void setCreateAt(Long createAt)
    {
        this.createAt = createAt;
    }

    public Long getCreateAt()
    {
        return createAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("earlyWarningId", getEarlyWarningId())
            .append("earlyWarningType", getEarlyWarningType())
            .append("title", getTitle())
            .append("rangeText", getRangeText())
            .append("content", getContent())
            .append("remarks", getRemarks())
            .append("sendFlag", getSendFlag())
            .append("sendAt", getSendAt())
            .append("sendTime", getSendTime())
            .append("createAt", getCreateAt())
            .append("createTime", getCreateTime())
            .toString();
    }
}
